﻿@model OperationalRiskException.Core.ViewModels.QuestionVM
@{
	ViewBag.Title = "Question";
}


<div class="row">
	<div class="col-md-12 grid-margin">
		<div class="d-flex justify-content-between flex-wrap">
			<div class="d-flex align-items-end flex-wrap">
				<div class="d-flex">
					<i class="mdi mdi-home text-muted hover-cursor"></i>
					<p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Question Management &nbsp;/&nbsp;</p>
					<p class="text-primary mb-0 hover-cursor">Upload Question</p>
				</div>
			</div>

		</div>
	</div>
</div>
<div class="row" id="proBanner">
	<div class="col-md-12 grid-margin">
		<div class="card bg-gradient-primary border-0">
			<div class="card-body py-3 px-4 d-flex align-items-center justify-content-between flex-wrap">
				<p class="mb-0 text-white font-weight-medium"> Kindly click to download the excel template format.</p>
				<div class="d-flex">
					<a href="~/Content/ExcelTemplate/upload.xlsx" target="_blank" class="btn btn-outline-light mr-2">Download</a>
						<button id="bannerClose" class="btn border-0 p-0">
						<i class="mdi mdi-close text-white"></i>
					</button>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="row">
	<div class="col-md-12 grid-margin stretch-card">
		<div class="card">
			<div class="card-body">
				<h4 class="card-title"> Create Question </h4>
				<p class="card-description">

				</p>

				@using (Html.BeginForm("UploadQuestion", "Question", FormMethod.Post, new { enctype = "multipart/form-data", onsubmit = "return myFunction()" }))
				{
					@Html.AntiForgeryToken()

					<div class="row">
						<div class="form-group col-md-12">
							<label for="exampleInputUsername1">Select Excel file</label>
							<div class="row col-md-6">

								<input type="file" name="FileUpload" class="file-upload-default">
								<div class="input-group col-xs-12">
									<input type="text" class="form-control file-upload-info" disabled="" placeholder="Upload Excel Document">
									<span class="input-group-append">
										<button class="file-upload-browse btn btn-primary" type="button">Upload</button>
									</span>
								</div>
							</div>
						</div>
						<div class="form-group col-md-12">
							<label for="exampleInputUsername1"> Select Category</label>
							<div class="row col-md-6">
								@Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories, "CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
								@Html.ValidationMessageFor(model => model.CategoryId, null, new { @class = "text text-danger" })
							</div>
						</div>

					</div>



					<button type="submit" class="btn btn-primary mr-2">Add Question</button>
				}
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12 grid-margin stretch-card">
		<div class="card tablecontainer">
			<div class="card-body">
				<h4 class="card-title"></h4>
				<p class="card-description">
					List of Question Categories
				</p>
				<div class="table-responsive pt-3">
					<table class="table table-bordered" id="myTable">
						<thead>
							<tr>
								<th>
								Id
								</th>
								<th>
									Question Content
								</th>
								<th>
									Category Name
								</th>
								<th>
									Edit
								</th>
								<th>
									Delete
								</th>

							</tr>
						</thead>
						<tbody></tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>


<script type="text/javascript">


    $(document).ready(function () {
        //  debugger;
        var oTable = $("#myTable").DataTable({
            "processing": true, // for show progress bar
            "serverSide": true, // for process server side
            "filter": true, // this is for disable filter (search box)
            "orderMulti": false, // for disable multiple column at once
            columns: [
                { 'data': 'QuestionId', 'orderable': false, visible: false },
				{ 'data': 'QuestionText' },
				{ 'data': 'CategoryName' },

                {
                    "data": "QuestionId", "width": "50px", "render": function (data) {
                        return '<a class="popup" href="@Url.Action("UpdateQuestion","Question")/' + data + '">Edit</a>'; 
                    }
                },
                {
                    "data": "QuestionId", "width": "50px", "render": function (data) {
                        return '<a class="popup" href="@Url.Action("DeleteQuestion","Question")/' + data + '">Delete</a>'; 
                    }
                }
                @*{
                    data: null,
                    //className: "center",
                    //defaultContent: '<a href="" class="editor_edit">Edit</a> / <a href="" class="editor_remove">Delete</a>'
  },

            ],
            "columnDefs": [{
                "targets": 4,

                "render": function (data, type, row, meta) {
                    var url = '@Url.Action("AddUser", "Usercd")';
                    return "'<a href='"url"'>Testing</a>'";
                }
            }],*@
            ],
            "delay": 150,
            "ajax": {
                "url": '@Url.Action("GetAllQuestions","Question")', 
                "type": "POST",
                "datatype": "json"
            }
        })
        $('.tablecontainer').on('click', 'a.popup', function (e) {
            e.preventDefault();
            OpenPopup($(this).attr('href'));
		})

        function OpenPopup(pageUrl) {
            var $pageContent = $('<div/>');
            $pageContent.load(pageUrl, function () {
               $('#popupForm', $pageContent).removeData('validator');
               $('#popupForm', $pageContent).removeData('unobtrusiveValidation');
          //     $.validator.unobtrusive.parse('form');

            });

            console.log($pageContent);
			$dialog = $('<div class="popupWindow" ></div>')
				.html($pageContent)
                .dialog({
                    draggable: false,
                    autoOpen: false,
                    resizable: false,
                    model: true,
					title: ' Question ',
					minHeight: 250,
					width:600,
					modal: true,

                    close: function () {
                        $dialog.dialog('destroy').remove();
                    }
                })

            $('.popupWindow').on('submit', '#popupForm', function (e) {
                var url = $('#popupForm')[0].action;
				$.ajax({
					type: "POST",
					url: url,
					data: $('#popupForm').serialize(),
					success: function (data) {
						if (data.status) {
							$dialog.dialog('close');
							oTable.ajax.reload();
						}
					}
				});
                e.preventDefault();
			})

			$('.popupWindow').on('reset', '#popupForm', function (e) {

				  $dialog.dialog('close');
                e.preventDefault();
			})
				//$(".ui-dialog-title").hide();

            $dialog.dialog('open');
        }
    });


</script>
